OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
ObjMgt

# ObjMgt_ExternShareable Class Reference

`#include <ObjMgt_ExternShareable.hxx>`

Inheritance diagram for ObjMgt_ExternShareable:

[legend]

## Public Member Functions
| ObjMgt_ExternShareable ()
| ObjMgt_ExternShareable (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HAsciiString) _CSFDB_GetObjMgt_ExternShareablemyEntry() const
void | _CSFDB_SetObjMgt_ExternShareablemyEntry (const Handle(PCollection_HAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PCollection_HAsciiString | myEntry

## Constructor & Destructor Documentation

ObjMgt_ExternShareable::ObjMgt_ExternShareable | ( |  | ) | `[inline]`

ObjMgt_ExternShareable::ObjMgt_ExternShareable | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void ObjMgt_ExternShareable::_CSFDB_SetObjMgt_ExternShareablemyEntry | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

Standard_EXPORT const ObjMgt_ExternShareable::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PTopoDS_Compound, PTopoDS_CompSolid, PTopoDS_Edge, PTopoDS_Face, PTopoDS_HShape, PTopoDS_Shell, PTopoDS_Solid, PTopoDS_Vertex, and PTopoDS_Wire.

ObjMgt_ExternShareable::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

## Field Documentation

Handle_PCollection_HAsciiString ObjMgt_ExternShareable::myEntry`[private]`

The documentation for this class was generated from the following file:

- ObjMgt_ExternShareable.hxx